Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# SelectedNodePaths Class Reference

Inherits direct::showbase::DirectObject::DirectObject.

List of all members.

## Public Member Functions
def | __init__
def | __getitem__
def | addTag
def | dehighlightAll
def | deselect
def | deselectAll
def | forEachDeselectedNodePathDo
def | forEachSelectedNodePathDo
def | getDeselectedAsList
def | getDeselectedDict
def | getDirectNodePath
def | getNumSelected
def | getSelectedAsList
def | getSelectedDict
def | getWrt
def | getWrtAll
def | highlightAll
def | isolateSelected
def | moveWrtWidget
def | moveWrtWidgetAll
def | removeAll
def | removeSelected
def | removeTag
def | reset
def | select
def | toggleVisAll
def | toggleVisSelected
## Public Attributes
| deselectedDict
| last
| selectedDict
| selectedList
| tagList

## Constructor & Destructor Documentation

def __init__ | ( |  | self | ) |

## Member Function Documentation

def __getitem__ | ( |  | self,
|  |  | index
| ) |  |

def addTag | ( |  | self,
|  |  | tag
| ) |  |

def dehighlightAll | ( |  | self | ) |

def deselect | ( |  | self,
|  |  | nodePath
| ) |  |

    Deselect the specified node path

def deselectAll | ( |  | self | ) |

def forEachDeselectedNodePathDo | ( |  | self,
|  |  | func
| ) |  |

    Perform given func on deselected node paths.  No node path
    connectivity verification performed

def forEachSelectedNodePathDo | ( |  | self,
|  |  | func
| ) |  |

    Perform given func on selected node paths.  No node path
    connectivity verification performed

def getDeselectedAsList | ( |  | self | ) |

def getDeselectedDict | ( |  | self,
|  |  | id
| ) |  |

    Search deselectedDict for node path, try to repair broken node paths.

def getDirectNodePath | ( |  | self,
|  |  | nodePath
| ) |  |

def getNumSelected | ( |  | self | ) |

def getSelectedAsList | ( |  | self | ) |

    Return a list of all selected node paths.  No verification of
    connectivity is performed on the members of the list

def getSelectedDict | ( |  | self,
|  |  | id
| ) |  |

    Search selectedDict for node path, try to repair broken node paths.

def getWrt | ( |  | self,
|  |  | nodePath
| ) |  |

def getWrtAll | ( |  | self | ) |

def highlightAll | ( |  | self | ) |

def isolateSelected | ( |  | self | ) |

def moveWrtWidget | ( |  | self,
|  |  | nodePath
| ) |  |

def moveWrtWidgetAll | ( |  | self | ) |

def removeAll | ( |  | self | ) |

def removeSelected | ( |  | self | ) |

def removeTag | ( |  | self,
|  |  | tag
| ) |  |

def reset | ( |  | self | ) |

def select | ( |  | self,
|  |  | nodePath,
|  |  | fMultiSelect = `0`,
|  |  | fSelectTag = `1`
| ) |  |

    Select the specified node path.  Multiselect as required

def toggleVisAll | ( |  | self | ) |

def toggleVisSelected | ( |  | self | ) |

## Member Data Documentation

deselectedDict

last

selectedDict

selectedList

tagList

All Classes Namespaces Functions Variables Enumerations Enumerator Properties